org.apache.jmeter.control

## Interface IteratingController

- All Superinterfaces:
    LoopIterationListener
  All Known Implementing Classes:
    ForeachController, LoopController, WhileController

      public interface IteratingController
      extends LoopIterationListener

  Identify controller that does iterations
  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `breakLoop()` Break loop ("break" keyword equivalent)
    `void` | `startNextLoop()` Start next iteration ("continue" keyword equivalent in loops)
    `default void` | `updateIterationIndex(String elementName, int iterCount)`

    - ### Methods inherited from interface org.apache.jmeter.engine.event.LoopIterationListener

      `iterationStart`

- - ### Method Detail

    - #### startNextLoop

          void startNextLoop()

      Start next iteration ("continue" keyword equivalent in loops)

    - #### breakLoop

          void breakLoop()

      Break loop ("break" keyword equivalent)

    - #### updateIterationIndex

          default void updateIterationIndex(String elementName,
                                            int iterCount)

      Parameters:
        `elementName` - Test Element
        `iterCount` - iteration count

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.